Update a conversation. Run in API Explorer
Ask AI
PUT
/api/v1/conversation/{uuid}
curl \
--request PUT 'https://api.plannrcrm.com/api/v1/conversation/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
--data '{
"name": "Annual Review"
}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}
# Payload
{
"name": "Annual Review"
}
Response examples (200)
{
"uuid": "ee53f03c-bda7-4383-a652-bcc15ec8b4a1",
"created_at": "2026-11-20T11:56:00+00:00",
"updated_at": "2026-11-20T11:56:00+00:00",
"name": "Welcome to Plannr",
"slug": "welcome-to-plannr",
"belongs_to_case": true,
"case": {
"uuid": "78f82b85-be1c-405c-a0a9-7959e3893911",
"created_at": "2026-11-20T11:56:00+00:00",
"updated_at": "2026-11-20T11:56:00+00:00",
"name": "finance",
"slug": "finance",
"status": {
"uuid": "b60fdd3a-32e0-4b6e-9afd-5b227c5c8918",
"created_at": "2026-11-20T11:56:09+00:00",
"updated_at": "2026-11-20T11:56:09+00:00",
"name": "To Be Reviewed",
"colour": "#23852B",
"position": 5,
"is_type_completed": false
},
"type": {
"uuid": null,
"name": "Mortgage Plan",
"created_at": "2026-11-20T11:56:09+00:00",
"updated_at": "2026-11-20T11:56:09+00:00"
},
"review_at": "2026-11-20T11:56:00+00:00",
"assigned_to_uuids": [
"19c076db-fa89-492d-9436-60e46c77e6c1"
],
"group_uuids": [
"fafd0048-1e10-4937-936f-3e34d296d060"
],
"completed_at": "2026-11-20T11:56:00+00:00",
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"status_position": 4,
"participants_count": 4,
"participants": {
"uuid": "b40a5350-0a01-487a-a90b-752ae788f227",
"created_at": "2026-11-20T11:56:09+00:00",
"updated_at": "2026-11-20T11:56:09+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-11-20T11:56:09+00:00",
"next_review_date": "2026-11-20T11:56:09+00:00",
"previous_review_date": "2026-11-20T11:56:09+00:00",
"anniversary_review_date": "2026-11-20T11:56:09+00:00",
"terms_of_business_at": "2026-11-20T11:56:09+00:00",
"client_agreement_at": "2026-11-20T11:56:09+00:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-11-20",
"last_interaction_at": "2026-11-20 11:56:09",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-11-20T11:56:09+00:00",
"out_of_office_until": "2026-11-20T11:56:09+00:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"managed_by_head_office": false
},
"task_board_uuid": "e60fdcd8-2b39-48a5-b2cd-3bf2401ca65e",
"plans": {
"uuid": "6281765f-7255-4e8d-a937-c0817eedd2c2",
"created_at": "2026-11-20T11:56:09+00:00",
"updated_at": "2026-11-20T11:56:09+00:00",
"opened_at": "2026-11-20T11:56:09+00:00",
"name": "Johns ISA",
"type": "cash_account",
"sub_type": "lifetime isa",
"abstract_type": "asset",
"policy_number": "AVIVA-123",
"proposal_reference": "AB123456",
"status": "inactive",
"inactive_at": "2026-11-20T11:56:09+00:00",
"inactive_reason": "claimed",
"agency_in_your_name": true,
"agency_in_your_name_from": "2025-11-20",
"originally_sold_by_firm": true,
"under_advice": true,
"visible_on_client_portal": true,
"include_in_client_valuation": true,
"show_on_joint": true,
"shown_on_circles": true,
"review_date": "2025-11-20",
"on_panel": true,
"is_group_scheme": false,
"is_sub_group_scheme": false,
"is_group_scheme_member": false,
"advice_area": "non_investment_insurance",
"total_benefit_amount": {
"amount": {
"example": "25000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£250,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"total_benefits": {
"critical_illness": {
"amount": {
"example": "15000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£150,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"family_income_benefit": {
"amount": {
"example": "10000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£100,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
}
},
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"valued_at": "2026-11-20T11:56:09+00:00",
"original_valued_at": "2026-11-19T11:56:09+00:00",
"statistics": {
"recent_growth": 100
},
"is_wrap_product": false,
"is_wrap_child": false,
"can_be_deleted": "false"
},
"custom_fields": {
"uuid": null,
"created_at": "2026-11-20T11:56:09+00:00",
"updated_at": "2026-11-20T11:56:09+00:00",
"type": "string",
"name": "Favourite Drink",
"reference": "favourite_drink",
"is_required": false,
"value": "Coffee",
"selection_options": [
"Coffee",
"Tea",
"Water"
],
"help_text": "This is the client's favourite drink.",
"is_retired": false
}
},
"participants_count": 3,
"participants": [
{
"uuid": "f6d2c435-d2f6-4434-a1f9-6da0394a90d0",
"created_at": "2026-11-20T11:56:00+00:00",
"updated_at": "2026-11-20T11:56:00+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"firm": {
"uuid": "a384a3ce-5aa5-4d06-8427-32a61c2d1824",
"created_at": "2026-11-20T11:56:09+00:00",
"updated_at": "2026-11-20T11:56:09+00:00",
"name": "Codepotato",
"slug": "codepotato",
"address_1": "Suite E, 5 The Briars",
"address_2": "Waterberry Drive",
"town_city": "Waterlooville",
"county": "Hampshire",
"postcode": "PO7 7YH",
"country": "United Kingdom",
"regulatory_text": "Regulatory text",
"logo": "https://api.plannrcrm.com/images/plannr.jpg",
"logo_icon": "https://api.plannrcrm.com/images/plannr-icon.jpg",
"brand_colours": {
"sidebar_background": "#0E0E56",
"sidebar_accent": "#36367E",
"sidebar_text": "#FFFFFF",
"sidebar_hover": "#0A0A42",
"sidebar_active": "#53DBB8",
"sidebar_title_background": "#36367E",
"sidebar_title_primary": "#FFC634",
"sidebar_title_secondary": "#FFFFFF",
"sidebar_title_secondary_hover": "#FFFFFF",
"email_background": "#0E0E56",
"email_logo_background_panel": "#36367E",
"email_sub_text": "#FFFFFF",
"email_button_background": "#36367E",
"email_button_text": "#FFFFFF",
"portal_sidebar_button_background": "#F6F6F6",
"portal_sidebar_button_hover": "#FFFFFF",
"portal_sidebar_button_active": "#FFFFFF",
"portal_brand_title": "#323B4B",
"portal_brand_sub_title": "#828994",
"portal_sidebar_title": "#11151D",
"portal_sidebar_text": "#323B4B",
"portal_sidebar_text_hover": "#323B4B",
"portal_sidebar_text_active": "#323B4B",
"portal_sidebar_icon": "#828994",
"portal_sidebar_icon_hover": "#828994",
"portal_sidebar_icon_active": "#828994",
"portal_background": "#F6F6F6",
"portal_sidebar_account_title": "#11151D",
"portal_sidebar_account_email": "#828994",
"portal_sidebar_divider": "#E3E5E9",
"portal_dashboard_bg_one": "#EF4583",
"portal_dashboard_bg_two": "#FFC634",
"portal_sidebar_collapse_button": "#828994",
"portal_sidebar_collapse_button_hover": "#B3B9C4",
"portal_sidebar_user_select_background": "#F6F6F6",
"portal_sidebar_user_select_hover": "#F6F6F6",
"portal_sidebar_user_select_text": "#323B4B",
"portal_sidebar_user_select_text_hover": "#323B4B",
"portal_sidebar_user_select_border": "#EEEEEE",
"portal_sidebar_user_select_border_hover": "#828994"
},
"factfind_pdf_header_background": "#0E0E56",
"factfind_pdf_header_text": "#ffffff",
"factfind_pdf_logo": "https://api.plannrcrm.com/images/plannr.jpg",
"is_subscribed": true,
"keep_deleted_files_for": 30,
"tax": 17.5,
"month_end": 25,
"statement_frequency": "monthly",
"billing": {
"invoice_address_1": "Suite E, 5 The Briars",
"invoice_address_2": "Waterberry Drive",
"invoice_town_city": "Waterlooville",
"invoice_county": "Hampshire",
"invoice_postcode": "PO7 7YH",
"invoice_country": "United Kingdom",
"invoice_email": "gareth@codepotato.co.uk"
},
"ip_whitelist": [
"192.168.0.1",
"127.0.0.1"
],
"welcome_paragraph_html": "<h1>Welcome.</h1>",
"email_welcome_paragraph_html": "Welcome to Plannr!",
"show_fact_find_illustrations": true,
"cc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"bcc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"reply_to_email_address": "jack@example.com",
"mobile_app_support_number": "01234 567890",
"mobile_app_support_email": "support@example.com"
},
"primary_phone_number": {
"uuid": "ca274b98-0bc8-4c00-9268-9d40fd2f8e23",
"created_at": "2026-11-20T11:56:09+00:00",
"updated_at": "2026-11-20T11:56:09+00:00",
"type": "phone_number",
"name": "Work number",
"value": "+443330903630",
"phone_number_meta": {
"country": "GB",
"formatted": "0333 090 3630"
}
},
"primary_email": {
"uuid": "ca274b98-0bc8-4c00-9268-9d40fd2f8e23",
"created_at": "2026-11-20T11:56:09+00:00",
"updated_at": "2026-11-20T11:56:09+00:00",
"type": "phone_number",
"name": "Work number",
"value": "+443330903630",
"phone_number_meta": {
"country": "GB",
"formatted": "0333 090 3630"
}
},
"current_time_entry": {
"uuid": "6803d03c-87cb-4ae3-90f7-2524787f34b2",
"created_at": "2026-11-20T11:56:09+00:00",
"updated_at": "2026-11-20T11:56:09+00:00",
"name": "Research",
"description": "This is a description.",
"trackable_type": "Client",
"start_date": "2026-11-20T11:06:09+00:00",
"end_date": "2026-11-20T11:34:09+00:00",
"is_active": true,
"total_time_in_minutes": 28,
"computed_time_elapsed_in_seconds": 1680
},
"assigned_adviser": {
"uuid": "b40a5350-0a01-487a-a90b-752ae788f227",
"created_at": "2026-11-20T11:56:09+00:00",
"updated_at": "2026-11-20T11:56:09+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-11-20T11:56:09+00:00",
"next_review_date": "2026-11-20T11:56:09+00:00",
"previous_review_date": "2026-11-20T11:56:09+00:00",
"anniversary_review_date": "2026-11-20T11:56:09+00:00",
"terms_of_business_at": "2026-11-20T11:56:09+00:00",
"client_agreement_at": "2026-11-20T11:56:09+00:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-11-20",
"last_interaction_at": "2026-11-20 11:56:09",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-11-20T11:56:09+00:00",
"out_of_office_until": "2026-11-20T11:56:09+00:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"managed_by_head_office": false
},
"assigned_administrator": {
"uuid": "b40a5350-0a01-487a-a90b-752ae788f227",
"created_at": "2026-11-20T11:56:09+00:00",
"updated_at": "2026-11-20T11:56:09+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-11-20T11:56:09+00:00",
"next_review_date": "2026-11-20T11:56:09+00:00",
"previous_review_date": "2026-11-20T11:56:09+00:00",
"anniversary_review_date": "2026-11-20T11:56:09+00:00",
"terms_of_business_at": "2026-11-20T11:56:09+00:00",
"client_agreement_at": "2026-11-20T11:56:09+00:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-11-20",
"last_interaction_at": "2026-11-20 11:56:09",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-11-20T11:56:09+00:00",
"out_of_office_until": "2026-11-20T11:56:09+00:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"managed_by_head_office": false
},
"assigned_paraplanner": {
"uuid": "b40a5350-0a01-487a-a90b-752ae788f227",
"created_at": "2026-11-20T11:56:09+00:00",
"updated_at": "2026-11-20T11:56:09+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-11-20T11:56:09+00:00",
"next_review_date": "2026-11-20T11:56:09+00:00",
"previous_review_date": "2026-11-20T11:56:09+00:00",
"anniversary_review_date": "2026-11-20T11:56:09+00:00",
"terms_of_business_at": "2026-11-20T11:56:09+00:00",
"client_agreement_at": "2026-11-20T11:56:09+00:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-11-20",
"last_interaction_at": "2026-11-20 11:56:09",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-11-20T11:56:09+00:00",
"out_of_office_until": "2026-11-20T11:56:09+00:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"managed_by_head_office": false
},
"introduced_by": {
"uuid": "b40a5350-0a01-487a-a90b-752ae788f227",
"created_at": "2026-11-20T11:56:09+00:00",
"updated_at": "2026-11-20T11:56:09+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-11-20T11:56:09+00:00",
"next_review_date": "2026-11-20T11:56:09+00:00",
"previous_review_date": "2026-11-20T11:56:09+00:00",
"anniversary_review_date": "2026-11-20T11:56:09+00:00",
"terms_of_business_at": "2026-11-20T11:56:09+00:00",
"client_agreement_at": "2026-11-20T11:56:09+00:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-11-20",
"last_interaction_at": "2026-11-20 11:56:09",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-11-20T11:56:09+00:00",
"out_of_office_until": "2026-11-20T11:56:09+00:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"managed_by_head_office": false
},
"business_unit": {
"uuid": "e4812119-d379-45f5-9291-b336c30258a1",
"name": "Wealth Management",
"has_alternative_branding": false,
"brand_colours": [],
"members_count": 3,
"groups_count": 2,
"created_at": "2026-11-20T11:56:09+00:00",
"updated_at": "2026-11-20T11:56:09+00:00"
},
"groups": {
"uuid": null,
"name": "finance",
"slug": "finance",
"participants_count": "3",
"participants": {
"uuid": {
"example": null,
"description": "UUID of the account"
},
"role": {
"example": "client",
"description": "Role of the account"
},
"first_name": {
"example": "Gareth",
"description": "First name of the account"
},
"last_name": {
"example": "Thompson",
"description": "Last name of the account"
},
"name": {
"example": "Gareth Thompson",
"description": "Name of the account"
},
"email": {
"example": "gareth@codepotato.co.uk",
"description": "Email of the account"
}
},
"created_at": "2026-11-20T11:56:09+00:00",
"updated_at": "2026-11-20T11:56:09+00:00"
},
"tags": {
"uuid": "16966dc2-1c0d-430b-89fd-843688b6b714",
"created_at": "2026-11-20T11:56:09+00:00",
"updated_at": "2026-11-20T11:56:09+00:00",
"name": "Mortgage",
"slug": "mortgage",
"colour": "#ef4582"
},
"marketing_consent": {
"email": "opted_in",
"phone": "opted_out",
"letter": "not_captured",
"sms": "not_captured"
},
"owners": {
"uuid": "b40a5350-0a01-487a-a90b-752ae788f227",
"created_at": "2026-11-20T11:56:09+00:00",
"updated_at": "2026-11-20T11:56:09+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-11-20T11:56:09+00:00",
"next_review_date": "2026-11-20T11:56:09+00:00",
"previous_review_date": "2026-11-20T11:56:09+00:00",
"anniversary_review_date": "2026-11-20T11:56:09+00:00",
"terms_of_business_at": "2026-11-20T11:56:09+00:00",
"client_agreement_at": "2026-11-20T11:56:09+00:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-11-20",
"last_interaction_at": "2026-11-20 11:56:09",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-11-20T11:56:09+00:00",
"out_of_office_until": "2026-11-20T11:56:09+00:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"managed_by_head_office": false
},
"first_contact_date": "2026-11-20T11:56:00+00:00",
"next_review_date": "2026-11-20T11:56:00+00:00",
"previous_review_date": "2026-11-20T11:56:00+00:00",
"anniversary_review_date": "2026-11-20T11:56:00+00:00",
"terms_of_business_at": "2026-11-20T11:56:00+00:00",
"client_agreement_at": "2026-11-20T11:56:00+00:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"joint_account_circle": {
"uuid": "66782e96-7d97-488b-a629-e512663ba113",
"created_at": "2026-11-20T11:56:09+00:00",
"updated_at": "2026-11-20T11:56:09+00:00",
"name": "Jones Family",
"photo_url": "https://eu.ui-avatars.com/api/?name=jones+family",
"bg_colour": "#35f4e1",
"has_portal_access": true,
"portal_access_status": "active",
"engagement_rating": "green",
"last_login": {
"logged_in_at": "2026-11-20T11:56:09+00:00",
"account_uuid": "uuid",
"account_name": "John Smith",
"device_type": "desktop",
"device_platform": "macos"
},
"portal_login_count_30d": 5,
"portal_login_count_90d": 12,
"portal_login_count_365d": 48,
"joint_account_uuid": "0100cf4f-0f0e-453c-a437-68a4e68cf3db",
"login_access_level": "write",
"current_life_stage_uuid": "b80d85b9-dea8-49a1-9af5-aff9456815cb"
},
"circles": {
"uuid": "66782e96-7d97-488b-a629-e512663ba113",
"created_at": "2026-11-20T11:56:09+00:00",
"updated_at": "2026-11-20T11:56:09+00:00",
"name": "Jones Family",
"photo_url": "https://eu.ui-avatars.com/api/?name=jones+family",
"bg_colour": "#35f4e1",
"has_portal_access": true,
"portal_access_status": "active",
"engagement_rating": "green",
"last_login": {
"logged_in_at": "2026-11-20T11:56:09+00:00",
"account_uuid": "uuid",
"account_name": "John Smith",
"device_type": "desktop",
"device_platform": "macos"
},
"portal_login_count_30d": 5,
"portal_login_count_90d": 12,
"portal_login_count_365d": 48,
"joint_account_uuid": "0100cf4f-0f0e-453c-a437-68a4e68cf3db",
"login_access_level": "write",
"current_life_stage_uuid": "b80d85b9-dea8-49a1-9af5-aff9456815cb"
},
"ownership_percentage": 100,
"inactive_at": "2026-11-20",
"last_interaction_at": "2026-11-20 11:56:00",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-11-20T11:56:00+00:00",
"out_of_office_until": "2026-11-20T11:56:00+00:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"service_level": {
"uuid": "489b968b-183f-4dfc-9d98-fa27ae48d0c3",
"name": "Gold",
"created_at": "2026-11-20T11:56:09+00:00",
"updated_at": "2026-11-20T11:56:09+00:00"
},
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"managed_by_head_office": false,
"custom_fields": {
"uuid": null,
"created_at": "2026-11-20T11:56:09+00:00",
"updated_at": "2026-11-20T11:56:09+00:00",
"type": "string",
"name": "Favourite Drink",
"reference": "favourite_drink",
"is_required": false,
"value": "Coffee",
"selection_options": [
"Coffee",
"Tea",
"Water"
],
"help_text": "This is the client's favourite drink.",
"is_retired": false
},
"external_references": {
"uuid": "76a5de7d-080a-4e8c-8d04-263a9560b094",
"created_at": "2026-11-20T11:56:09+00:00",
"updated_at": "2026-11-20T11:56:09+00:00",
"third_party": "nucleus",
"reference": "AB123456"
}
}
],
"latest_message": {
"uuid": "85939f25-1e47-42ba-b599-7370500d9f35",
"created_at": "2026-11-20T11:56:00+00:00",
"updated_at": "2026-11-20T11:56:00+00:00",
"deleted_at": "2026-11-20T11:56:00+00:00",
"contents": "Welcome to Plannr!",
"edited": true,
"is_auto_reply": false,
"files": {
"uuid": "889d4ae3-da41-4f29-8d8d-97e4b88a089d",
"created_at": "2026-11-20T11:56:09+00:00",
"original_created_at": "2026-11-20T11:56:09+00:00",
"updated_at": "2026-11-20T11:56:09+00:00",
"uploaded_at": "2026-11-20T11:56:09+00:00",
"status": "uploaded",
"filename": "Welcome to Plannr.pdf",
"name": "Welcome to Plannr",
"extension": "pdf",
"type": "type",
"size": "21691783",
"path": "Gareth Thompson/Subfolder/Welcome to Plannr.pdf",
"last_modified": "2026-11-20T11:56:09+00:00",
"progress": "100",
"download_url": "https://api.plannrcrm.com/file/3bef0425-7b5f-4b3e-8ce2-36cae2129401/download",
"preview_url": "https://api.plannrcrm.com/file/5dac1cd4-33c0-457b-ae7d-6c6a29bb0d8f/preview",
"folder_name": "folder 2",
"documentable_type": "account",
"documentable": "Object",
"navigator": {
"model_type": "account",
"model_uuid": null
}
},
"author": {
"uuid": "b40a5350-0a01-487a-a90b-752ae788f227",
"created_at": "2026-11-20T11:56:09+00:00",
"updated_at": "2026-11-20T11:56:09+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-11-20T11:56:09+00:00",
"next_review_date": "2026-11-20T11:56:09+00:00",
"previous_review_date": "2026-11-20T11:56:09+00:00",
"anniversary_review_date": "2026-11-20T11:56:09+00:00",
"terms_of_business_at": "2026-11-20T11:56:09+00:00",
"client_agreement_at": "2026-11-20T11:56:09+00:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-11-20",
"last_interaction_at": "2026-11-20 11:56:09",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-11-20T11:56:09+00:00",
"out_of_office_until": "2026-11-20T11:56:09+00:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"managed_by_head_office": false
},
"user": {
"uuid": "851930e1-e933-4534-a4a3-7dcf2301e569",
"created_at": "2026-11-20T11:56:09+00:00",
"updated_at": "2026-11-20T11:56:09+00:00",
"type": "standard",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"two_factor_enabled": true,
"two_factor_setup_required": true,
"two_factor_type": "sms",
"otp_confirmed_at": "2026-11-20T11:56:09+00:00",
"otp_pending": false,
"sms_two_factor_enabled": true,
"two_factor_mobile": true,
"two_factor_mobile_meta": {
"country": "GB",
"formatted": "0333 090 3630"
},
"session_expires_at": "2026-11-20T11:56:09+00:00",
"remember_token_expires_at": true,
"should_auto_save_notes": true
},
"reactions": {
"uuid": "aace9569-6df7-47a2-aa82-a407b03b7d9a",
"created_at": "2026-11-20T11:56:09+00:00",
"updated_at": "2026-11-20T11:56:09+00:00",
"account_uuid": null,
"account_name": "Gareth Thompson",
"reaction": "like"
}
},
"messages_count": 30,
"files_count": 2,
"tags": [
{
"uuid": "92e23646-746b-4d05-9d80-ddf024cac3ff",
"created_at": "2026-11-20T11:56:00+00:00",
"updated_at": "2026-11-20T11:56:00+00:00",
"name": "Mortgage",
"slug": "mortgage",
"colour": "#ef4582"
}
],
"pinned": true,
"is_admin": false
}
Response examples (422)
{
"message": "The given data was invalid.",
"errors": {
"field": [
"The field is invalid."
]
}
}